package ed25519

import (
	`crypto/ed25519`

	`r00t2.io/sshkeys/kdf`
)

// KeyEd25519 is an ed25519 OpenSSH key.
type KeyEd25519 struct {
	KeyPairs []*KeypairEd25519 `xml:"keypairs" json:"keypairs" yaml:"Keypairs"`
	Cipher   string            // TODO: (sshkeys/cipher).Cipher
	KDF      kdf.KDF
}

type KeypairEd25519 struct {
	Private ed25519.PrivateKey `xml:"private" json:"private_key" yaml:"Private Key"`
	Public  ed25519.PublicKey  `xml:"public" json:"public_key" yaml:"Public Key"`
	Comment string             `xml:"comment,attr" json:"comment" yaml:"comment"`
}
